$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-22.0.135.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-22.0.135.msi'
  softwareName = 'Invantive Data Hub'
  checksum = 'ECCE703A0F5D226F96B5F040BB64ADDCA6D30AA51F67605491963354D1391636'
  checksumType = 'sha256'
  checksum64 = 'ECCE703A0F5D226F96B5F040BB64ADDCA6D30AA51F67605491963354D1391636'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-22.0.135-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
